# $Revision: 1.22 $, $Date: 2009/05/06 20:55:51 $
# TODO
# - R: clamav? library requiring daemon???
Summary:	A Python interface to libclamav
Summary(pl.UTF-8):	Interfejs Pythona do libclamav
Name:		python-pyclamav
Version:	0.4.1
Release:	10
License:	GPL
Group:		Libraries/Python
Source0:	http://norman.free.fr/norman/python/pyclamav/pyclamav-%{version}.tar.gz
# Source0-md5:	9e1f29ea118bac87223ff4df3c077556
Patch0:		%{name}-new-api.patch
URL:		http://xael.org/norman/python/pyclamav/index.html
BuildRequires:  clamav-devel >= 0:0.95
BuildRequires:	python
BuildRequires:	python-devel >= 1:2.4
Requires:       clamav >= 0:0.95
Requires:	python
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python interface to libclamav.

%description -l pl.UTF-8
Interfejs Pythona do libclamav.

%prep
%setup -q -n pyclamav-%{version}
%patch0 -p1

%build
env CFLAGS="%{rpmcflags}" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__python} -- setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

cp -a example.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt CHANGELOG
%attr(755,root,root) %{py_sitedir}/*.so
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/example.py
%if "%{py_ver}" > "2.4"
%{py_sitedir}/*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyclamav.spec,v $
Revision 1.22  2009/05/06 20:55:51  megabajt
- added -new-api.patch (fixes build with clamav >= 0.95)
- release 10

Revision 1.21  2009/04/17 20:35:38  areq
- rel 9

Revision 1.20  2008/11/02 11:32:08  megabajt
- release 8

Revision 1.19  2008/10/19 09:46:22  arekm
- release 7

Revision 1.18  2008/10/14 06:42:39  arekm
- release 6

Revision 1.17  2008/10/03 17:56:33  arekm
- release 5

Revision 1.16  2008/09/04 22:49:15  glen
- release 4 (new clamav soname)

Revision 1.15  2008-04-27 15:22:01  glen
- release 3

Revision 1.14  2008-04-27 14:56:45  glen
- typo

Revision 1.13  2008-04-27 12:27:27  glen
- no recursion needed to copy single file
- add todo

Revision 1.12  2008-04-27 12:26:28  glen
- release 2

Revision 1.11  2008-04-27 12:26:10  glen
- update to 0.4.1

Revision 1.10  2008-04-24 18:37:05  glen
- need new clam api fix

Revision 1.9  2008-04-24 15:21:01  glen
- release 4 (clamav)

Revision 1.8  2007-12-24 08:17:42  glen
- rel 3 (clamav)

Revision 1.7  2007-04-06 08:44:29  megabajt
- release 2 (rebuild with new clamav)

Revision 1.6  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.4  2006/12/04 15:41:01  arekm
- up to 0.3.3

Revision 1.3  2005/07/25 13:43:38  zawadaa
- up to 0.3.1
- add example.py

Revision 1.2  2005/03/17 11:11:20  spider
- missing log section
